Bug 504050 - Review Request: kdevplatform - Libraries for use by KDE development tools
Review Request: kdevplatform - Libraries for use by KDE development tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 19:18 EDT by Ben Boeckel
Modified: 2015-01-08 08:49 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.9-4.20090928svn.fc11.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 01:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-06-03 19:18:58 EDT
Spec URL: http://benboeckel.net/packaging/kdevplatform/kdevplatform.spec
SRPM URL: http://benboeckel.net/packaging/kdevplatform/kdevplatform-0.9.93-0.1.fc11.src.rpm
Description:
KDE Development platform, the foundations upon which
KDevelop and Quanta are built.
Comment 1 Rex Dieter 2009-09-12 14:38:39 EDT
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1673826
Comment 2 Rex Dieter 2009-09-12 14:45:15 EDT
$ rpmlint *.src.rpm x86_64/*.rpm
kdevplatform.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 20)
kdevplatform.x86_64: E: no-binary
kdevplatform-debuginfo.x86_64: E: zero-length /usr/src/debug/kdevplatform-0.9.93/x86_64-redhat-linux-gnu/shell/krossdistributedversioncontrol.moc
kdevplatform-debuginfo.x86_64: E: zero-length /usr/src/debug/kdevplatform-0.9.93/x86_64-redhat-linux-gnu/plugins/problemreporter/problemhighlighter.moc
kdevplatform-debuginfo.x86_64: E: zero-length /usr/src/debug/kdevplatform-0.9.93/x86_64-redhat-linux-gnu/plugins/projectmanagerview/projectproxymodel.moc
kdevplatform-devel.x86_64: W: no-documentation
kdevplatform-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 4 errors, 3 warnings.

Mostly harmless

upstream source matches
$ md5sum *.bz2
ab9a9cf4fa22a2eba7eba7cc1fbd701e  kdevplatform-0.9.93.tar.bz2

spec generally good, macro usage consistent.

One minor issue, missing icon scriptlets, but that can be addressed post-review.

APPROVED.
Comment 3 Ben Boeckel 2009-09-13 09:41:24 EDT
New Package CVS Request
=======================
Package Name: kdevplatform
Short Description: Libraries for use by KDE development tools
Owners: mathstuf
Branches: F-10 F-11
InitialCC:
Comment 4 Kevin Fenzi 2009-09-14 01:02:06 EDT
cvs done.
Comment 5 Ben Boeckel 2009-09-14 01:50:06 EDT
Build submitted for Rawhide. Closing.
Comment 6 Fedora Update System 2009-09-30 11:02:35 EDT
krazy2-2.9-4.20090928svn.fc11.1,kdevplatform-0.9.95-0.3.beta5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/krazy2-2.9-4.20090928svn.fc11.1,kdevplatform-0.9.95-0.3.beta5.fc11
Comment 7 Fedora Update System 2009-09-30 11:02:42 EDT
krazy2-2.9-4.20090928svn.fc10.1,kdevplatform-0.9.95-0.3.beta5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/krazy2-2.9-4.20090928svn.fc10.1,kdevplatform-0.9.95-0.3.beta5.fc10
Comment 8 Fedora Update System 2009-10-13 21:55:54 EDT
krazy2-2.9-4.20090928svn.fc10.1, kdevplatform-0.9.95-0.3.beta5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-10-13 21:56:19 EDT
krazy2-2.9-4.20090928svn.fc11.1, kdevplatform-0.9.95-0.3.beta5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Michal Hlavinka 2010-02-16 03:11:29 EST
can't be installed

  file /usr/share/kde4/apps/cmake/modules/FindKDevPlatform.cmake from install of kdevplatform-0.9.95-0.3.beta5.fc12.x86_64 conflicts with file from package kdelibs-devel-6:4.4.0-4.fc12.x86_64
Comment 11 Jan Grulich 2015-01-08 04:36:18 EST
Package Change Request
======================
Package Name: kdevplatform
New Branches: epel7
Owners: jgrulich rdieter kkofler dvratil ltinkl rnovacek
Comment 12 Gwyn Ciesla 2015-01-08 08:49:22 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.